Bug 1668493 (CVE-2018-17199) - CVE-2018-17199 httpd: mod_session_cookie does not respect expiry time
Summary: CVE-2018-17199 httpd: mod_session_cookie does not respect expiry time
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17199
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Maryna Nalbandian
URL:
Whiteboard:
Depends On: 1677496 1668494 1677498 1677590
Blocks: 1668499
TreeView+ depends on / blocked
 
Reported: 2019-01-22 21:21 UTC by Laura Pardo
Modified: 2020-01-08 15:11 UTC (History)
16 users (show)

Fixed In Version: httpd 2.4.38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 18:51:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3932 None None None 2019-11-20 16:21:01 UTC
Red Hat Product Errata RHSA-2019:3933 None None None 2019-11-20 16:13:26 UTC
Red Hat Product Errata RHSA-2019:3935 None None None 2019-11-20 16:08:33 UTC
Red Hat Product Errata RHSA-2019:4126 None None None 2019-12-10 07:57:12 UTC

Description Laura Pardo 2019-01-22 21:21:11 UTC
In Apache HTTP Server 2.4.0 to 2.4.37, mod_session checks the session expiry time before decoding the session. This causes session expiry time to be ignored for mod_session_cookie sessions since the expiry time is loaded when the session is decoded.


References:
https://seclists.org/oss-sec/2019/q1/81
https://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Laura Pardo 2019-01-22 21:21:22 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1668494]

Comment 17 Timothy Walsh 2019-07-25 12:50:10 UTC
A review of this flaw was conducted and has been allocated a revised score to reflect the potential for exploiting session information when specific conditions are met.

Comment 25 errata-xmlrpc 2019-11-20 16:08:32 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:3935 https://access.redhat.com/errata/RHSA-2019:3935

Comment 26 errata-xmlrpc 2019-11-20 16:13:20 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2019:3933 https://access.redhat.com/errata/RHSA-2019:3933

Comment 27 errata-xmlrpc 2019-11-20 16:20:59 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2019:3932 https://access.redhat.com/errata/RHSA-2019:3932

Comment 28 Product Security DevOps Team 2019-11-20 18:51:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17199

Comment 29 errata-xmlrpc 2019-12-10 07:57:11 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:4126 https://access.redhat.com/errata/RHSA-2019:4126


Note You need to log in before you can comment on or make changes to this bug.